Subject: qt.qpa.xcb: QXcbConnection: XCB error

From: Helge Kreutzmann <[email-masked]>
Date: Mon, 29 Aug 2022 12:56:42 +0200

Package: plasma-workspace
Version: 4:5.25.4-3
Severity: minor

During operiation I see a lot of messages of the form twentytwo
plasmashell[718075]: qt.qpa.xcb: QXcbConnection: XCB error: 9 (BadDrawable), sequence: 10513, resource id: 27263103, major code: 55 (CreateGC), minor code: 0

I reviewed the logs and I can filter them out with the following
pattern:
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 152 \(Unknown\), sequence: .*, resource id: 27263209, major code: 143 \(Unknown\), minor code: 2
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 2 \(BadValue\), sequence: .*, resource id: 0, major code: 53 \(CreatePixmap\), minor code: 0
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 3 \(BadWindow\), sequence: .*, resource id: 4194310, major code: 142 \(Unknown\), minor code: 3
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 3 \(BadWindow\), sequence: .*, resource id: 48234516, major code: 40 \(TranslateCoords\), minor code: 0
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 9 \(BadDrawable\), sequence: .*, resource id: 272630.*, major code: 55 \(CreateGC\), minor code: 0
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 9 \(BadDrawable\), sequence: .*, resource id: 272630.*, major code: 72 \(PutImage\), minor code: 0
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 9 \(BadDrawable\), sequence: .*, resource id: 272631.*, major code: 55 \(CreateGC\), minor code: 0
twentytwo plasmashell\[\.*\]: qt.qpa.xcb: QXcbConnection: XCB error: 9 \(BadDrawable\), sequence: .*, resource id: 272631.*, major code: 72 \(PutImage), minor code: 0

If these messages are harmless, please provide a logcheck pattern, 
e.g. with the above lines.

If you need further information from my side for tracking these down,
please let me know.

-- System Information:
Debian Release: bookworm/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel taint flags: TAINT_UNSIGNED_MODULE
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to de_DE.UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages plasma-workspace depends on:
ii  dbus-user-session [default-dbus-session-bus]        1.14.0-2
ii  dbus-x11 [dbus-session-bus]                         1.14.0-2
ii  drkonqi                                             5.25.4-1
ii  frameworkintegration                                5.97.0-1
ii  gdb-minimal [gdb]                                   12.1-3
ii  init-system-helpers                                 1.64
ii  iso-codes                                           4.11.0-1
ii  kactivitymanagerd                                   5.25.4-1
ii  kded5                                               5.97.0-1
ii  kinit                                               5.97.0-1
ii  kio                                                 5.97.0-1
ii  kpackagetool5                                       5.97.0-1
ii  kwin-common                                         4:5.25.4-2
ii  libappstreamqt2                                     0.15.5-1
ii  libc6                                               2.34-4
ii  libcolorcorrect5                                    4:5.25.4-3
ii  libcrypt1                                           1:4.4.28-2
ii  libegl1                                             1.5.0-1
ii  libfontconfig1                                      2.13.1-4.4
ii  libfreetype6                                        2.12.1+dfsg-3
ii  libgcc-s1                                           12.2.0-1
ii  libgl1                                              1.5.0-1
ii  libgps28                                            3.22-4
ii  libice6                                             2:1.0.10-1
ii  libicu71                                            71.1-3
ii  libkf5activities5                                   5.97.0-1
ii  libkf5activitiesstats1                              5.97.0-1
ii  libkf5archive5                                      5.97.0-1
ii  libkf5authcore5                                     5.97.0-1
ii  libkf5baloo5                                        5.97.0-1
ii  libkf5bookmarks5                                    5.97.0-1
ii  libkf5calendarevents5                               5.97.0-1
ii  libkf5completion5                                   5.97.0-1
ii  libkf5config-bin                                    5.97.0-2
ii  libkf5configcore5                                   5.97.0-2
ii  libkf5configgui5                                    5.97.0-2
ii  libkf5configwidgets5                                5.97.0-1
ii  libkf5coreaddons5                                   5.97.0-1
ii  libkf5crash5                                        5.97.0-1
ii  libkf5dbusaddons5                                   5.97.0-1
ii  libkf5declarative5                                  5.97.0-1
ii  libkf5globalaccel-bin                               5.97.0-1
ii  libkf5globalaccel5                                  5.97.0-1
ii  libkf5guiaddons5                                    5.97.0-1
ii  libkf5holidays5                                     1:5.97.0-1
ii  libkf5i18n5                                         5.97.0-1
ii  libkf5iconthemes5                                   5.97.0-1
ii  libkf5idletime5                                     5.97.0-1
ii  libkf5jobwidgets5                                   5.97.0-1
ii  libkf5kcmutils5                                     5.97.0+really5.97.0-2
ii  libkf5kiocore5                                      5.97.0-1
ii  libkf5kiofilewidgets5                               5.97.0-1
ii  libkf5kiogui5                                       5.97.0-1
ii  libkf5kiowidgets5                                   5.97.0-1
ii  libkf5networkmanagerqt6                             5.97.0-1
ii  libkf5newstuff5                                     5.97.0-1
ii  libkf5newstuffcore5                                 5.97.0-1
ii  libkf5newstuffwidgets5                              5.97.0-1
ii  libkf5notifications5                                5.97.0-1
ii  libkf5notifyconfig5                                 5.97.0-1
ii  libkf5package5                                      5.97.0-1
ii  libkf5parts5                                        5.97.0-1
ii  libkf5people5                                       5.97.0-1
ii  libkf5peoplewidgets5                                5.97.0-1
ii  libkf5plasma5                                       5.97.0-1
ii  libkf5plasmaquick5                                  5.97.0-1
ii  libkf5prison5                                       5.97.0-1
ii  libkf5quickaddons5                                  5.97.0-1
ii  libkf5runner5                                       5.97.0-1
ii  libkf5service-bin                                   5.97.0-1
ii  libkf5service5                                      5.97.0-1
ii  libkf5solid5                                        5.97.0-1
ii  libkf5texteditor5                                   5.97.0-1
ii  libkf5textwidgets5                                  5.97.0-1
ii  libkf5wallet-bin                                    5.97.0-1
ii  libkf5wallet5                                       5.97.0-1
ii  libkf5waylandclient5                                4:5.97.0-1
ii  libkf5widgetsaddons5                                5.97.0-2
ii  libkf5windowsystem5                                 5.97.0-1
ii  libkf5xmlgui5                                       5.97.0-1
ii  libkfontinst5                                       4:5.25.4-3
ii  libkfontinstui5                                     4:5.25.4-3
ii  libkscreenlocker5                                   5.25.4-1
ii  libksgrd9                                           4:5.25.4-5
ii  libksysguardsensorfaces1                            4:5.25.4-5
ii  libkuserfeedbackcore1                               1.2.0-2
ii  libkworkspace5-5                                    4:5.25.4-3
ii  liblayershellqtinterface5                           5.25.4-1
ii  libnotificationmanager1                             4:5.25.4-3
ii  libpackagekitqt5-1                                  1.0.2-1
ii  libphonon4qt5-4                                     4:4.11.1-4
ii  libpipewire-0.3-0                                   0.3.56-1
ii  libplasma-geolocation-interface5                    4:5.25.4-3
ii  libprocesscore9                                     4:5.25.4-5
ii  libprocessui9                                       4:5.25.4-5
ii  libqalculate22                                      4.2.0-1
ii  libqt5core5a [qtbase-abi-5-15-4]                    5.15.4+dfsg-5
ii  libqt5dbus5                                         5.15.4+dfsg-5
ii  libqt5gui5                                          5.15.4+dfsg-5
ii  libqt5network5                                      5.15.4+dfsg-5
ii  libqt5printsupport5                                 5.15.4+dfsg-5
ii  libqt5qml5                                          5.15.4+dfsg-4
ii  libqt5quick5                                        5.15.4+dfsg-4
ii  libqt5sql5                                          5.15.4+dfsg-5
ii  libqt5svg5                                          5.15.4-2
ii  libqt5waylandclient5 [qtwayland-client-abi-5-15-4]  5.15.4-2
ii  libqt5widgets5                                      5.15.4+dfsg-5
ii  libqt5x11extras5                                    5.15.4-2
ii  libqt5xml5                                          5.15.4+dfsg-5
ii  libsm6                                              2:1.2.3-1
ii  libstdc++6                                          12.2.0-1
ii  libtaskmanager6abi1                                 4:5.25.4-3
ii  libwayland-client0                                  1.21.0-1
ii  libweather-ion7                                     4:5.25.4-3
ii  libx11-6                                            2:1.8.1-2
ii  libxcb-composite0                                   1.15-1
ii  libxcb-damage0                                      1.15-1
ii  libxcb-image0                                       0.4.0-2
ii  libxcb-randr0                                       1.15-1
ii  libxcb-shape0                                       1.15-1
ii  libxcb-util1                                        0.4.0-1+b1
ii  libxcb1                                             1.15-1
ii  libxcursor1                                         1:1.2.1-1
ii  libxfixes3                                          1:6.0.0-1
ii  libxft2                                             2.3.4-1
ii  libxrender1                                         1:0.9.10-1.1
ii  libxtst6                                            2:1.2.3-1.1
ii  milou                                               4:5.25.4-1
ii  phonon4qt5                                          4:4.11.1-4
ii  plasma-framework                                    5.97.0-1
ii  plasma-integration                                  5.25.4-1
ii  plasma-workspace-data                               4:5.25.4-3
ii  qdbus-qt5                                           5.15.4-2+b1
ii  qml-module-org-kde-draganddrop                      5.97.0-1
ii  qml-module-org-kde-kcoreaddons                      5.97.0-1
ii  qml-module-org-kde-kholidays                        1:5.97.0-1
ii  qml-module-org-kde-kquickcontrols                   5.97.0-1
ii  qml-module-org-kde-kquickcontrolsaddons             5.97.0-1
ii  qml-module-org-kde-ksysguard                        4:5.25.4-5
ii  qml-module-org-kde-kwindowsystem                    5.97.0-1
ii  qml-module-org-kde-prison                           5.97.0-1
ii  qml-module-org-kde-quickcharts                      5.97.0-1
ii  qml-module-org-kde-solid                            5.97.0-1
ii  qml-module-org-kde-userfeedback                     1.2.0-2
ii  qml-module-qt-labs-folderlistmodel                  5.15.4+dfsg-4
ii  qml-module-qtgraphicaleffects                       5.15.4-2
ii  qml-module-qtqml-models2                            5.15.4+dfsg-4
ii  qml-module-qtquick-controls                         5.15.4-2
ii  qml-module-qtquick-dialogs                          5.15.4-2
ii  qml-module-qtquick-layouts                          5.15.4+dfsg-4
ii  qml-module-qtquick-window2                          5.15.4+dfsg-4
ii  qml-module-qtquick2                                 5.15.4+dfsg-4
ii  udisks2                                             2.9.4-2
ii  x11-utils                                           7.7+5
ii  x11-xserver-utils                                   7.7+9
ii  zlib1g                                              1:1.2.11.dfsg-4.1

Versions of packages plasma-workspace recommends:
ii  kde-cli-tools    4:5.25.4-1
ii  kio-extras       4:22.04.3-1+b1
ii  ksystemstats     5.25.4-1
ii  libpam-kwallet5  5.25.4-1
pn  powerdevil       <none>
ii  systemsettings   4:5.25.4-1

plasma-workspace suggests no packages.

-- no debconf information

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/